## org.codehaus.groovy.ast.expr
Class StaticMethodCallExpression

A static method call on a class

author:
  James Strachan

version:
  $Revision: 8256 $

Field Summary
`Expression` | `arguments`
`MetaMethod` | `metaMethod`
`String` | `method`
`ClassNode` | `ownerType`

Constructor Summary
`StaticMethodCallExpression(ClassNode type, String method, Expression arguments)`

Method Summary
`Expression` | `getArguments()`
`MetaMethod` | `getMetaMethod()`
`String` | `getMethod()`
`ClassNode` | `getOwnerType()`
`String` | `getText()`
`void` | `setMetaMethod(MetaMethod metaMethod)`
`void` | `setOwnerType(ClassNode ownerType)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### StaticMethodCallExpression

    public StaticMethodCallExpression(ClassNode type, String method, Expression arguments)

Method Detail

### getArguments

    public Expression getArguments()

### getMetaMethod

    public MetaMethod getMetaMethod()

### getMethod

    public String getMethod()

### getOwnerType

    public ClassNode getOwnerType()

### getText

    public String getText()

### setMetaMethod

    public void setMetaMethod(MetaMethod metaMethod)

### setOwnerType

    public void setOwnerType(ClassNode ownerType)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)